Page Summary
-
This operation updates a Merchant Center account, deleting any unspecified fields.
-
It uses an HTTP PUT request to
https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/accounts/{accountId}, requiringmerchantIdandaccountIdpath parameters. -
The request body and successful response both contain an
Accountresource as defined in the provided documentation link. -
Authorization requires the
https://www.googleapis.com/auth/contentOAuth scope.
Updates a Merchant Center account. Any fields that are not provided are deleted from the resource.
HTTP request
PUT https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/accounts/{accountId}
Path parameters
| Parameters | |
|---|---|
merchantId |
The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and |
accountId |
The ID of the account. |
Request body
The request body contains an instance of Account.
Response body
If successful, the response body contains an instance of Account.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/content
For more information, see the OAuth 2.0 Overview.